Description

GeoNetwork 3.2.1 provisioning tasks should include the installation and configuration of gcube geonetwork-connector.

Please, include these operations in provisioning (more information provided here :
https://gcube.wiki.gcube-system.org/gcube/GeoNetwork_Configuration#GeoNetwork_Connector_installation)

When ready, we should update Pre Production environment in order to double check possible issues, and then update Production

instances.

Related issues:

Related to D4Science Infrastructure - VRE #12344: AlienAndInvasiveSpecies VRE

Released

Aug 29, 2018 Aug 31, 2018

History

#1 - Oct 16, 2018 12:10 PM - Leonardo Candela
- Related to VRE #12344: AlienAndinvasiveSpecies VRE added

#2 - Oct 16, 2018 03:02 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Oct 16, 2018 05:20 PM - Andrea Dell'Amico

- % Done changed from 0 to 80

The playbook is ready to be tested. | only need to know where.

#4 - Oct 16, 2018 05:30 PM - Andrea Dell'Amico

geonetwork.pre.d4science.net is ready to be tested.

#5 - Oct 16, 2018 07:38 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

The connector has been installed into geonetwork-spatialdata.d4science.org too.

#6 - Oct 16, 2018 07:52 PM - Pasquale Pagano

- Status changed from Feedback to In Progress

It does not work in production. The call issued by the browser is the following

#7 - Oct 16, 2018 07:55 PM - Pasquale Pagano

Note that it does not work even in Pre-production ... The call issued in this case is the following

Public application URL running in VRE =
https://geonetwork.pre.d4science.net/geonetwork/srv/eng/catalog.search#/home?gcube-token=12d09227-c5d6-4fcd-a2c6-7ead3b06ccat -qQUXXXXXXX
https://gcube.wiki.gcube-system.org/gcube/GeoNetwork_Configuration#GeoNetwork_Connector_installation
https://geonetwork-spatialdata.d4science.org/geonetwork/srv/eng/catalog.search#/home?gcube-token=dceef617-fbc8-43e0-a49c-9154582ede9f-xxxxxxxxx
https://geonetwork-spatialdata.d4science.org/geonetwork/srv/eng/catalog.search#/home?gcube-token=dceef617-fbc8-43e0-a49c-9154582ede9f-xxxxxxxxx
https://geonetwork.pre.d4science.net/geonetwork/srv/eng/catalog.search#/home?gcube-token=12d09227-c5d6-4fcd-a2c6-7ead3b06cca1-quxxxxxxx

#8 - Oct 17, 2018 12:13 PM - Fabio Sinibaldi

- Status changed from In Progress to Feedback

Actually it works (but maybe there's a bug when dealing with anchors).

Double checked in preprod portal, and fixed the configuration at https://pre.d4science.org/group/prevre/geonetwork-3

Working url for portal integration is as following :
https://geonetwork.pre.d4science.net/geonetwork/srv/eng/catalog.search

#9 - Oct 17, 2018 01:17 PM - Pasquale Pagano

It works for me in pre. Have you fixed the production?

#10 - Oct 17, 2018 02:41 PM - Fabio Sinibaldi

| don't have the configuration rights on production portals.

#11 - Oct 17, 2018 02:47 PM - Andrea Dell'Amico

Fabio Sinibaldi wrote:

| don't have the configuration rights on production portals.

@massimiliano.assante@isti.cnr.it @roberto.cirillo@isti.cnr.it

#12 - Oct 17, 2018 02:57 PM - Pasquale Pagano

Ok, | changed the configuration in production by following your instruction and it works.

| renamed the titles in the menu and removed the one that is not needed.

| think this issue can be closed.

#13 - Oct 17, 2018 02:58 PM - Fabio Sinibaldi
- Status changed from Feedback to Closed
